/******************************************************************************
 * sdcard-test.c: Read test from micro SD
 *
 * Copyright (C) 2011, MyVoice
 * All Rights reserved.
 *
 * History
 * 2011.06.29	ver 1.00	Preliminary version, first release
 *
 * Try to read the directory of a micro-SD card to see if micro-SD is OK.
 *
 * Software License Agreement
 *
 * The software is owned by MyVoice CAD/CAM Services and/or its suppliers, and is
 * protected under applicable copyright laws.  All rights are reserved.  Any
 * use in violation of the foregoing restrictions may subject the user to criminal
 * sanctions under applicable laws, as well as to civil liability for the breach
 * of the terms and conditions of this license.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * USE OF THIS SOFTWARE FOR COMMERCIAL DEVELOPMENT AND/OR EDUCATION IS SUBJECT
 * TO A CURRENT END USER LICENSE AGREEMENT (COMMERCIAL OR EDUCATIONAL) WITH
 * MYVOICE CAD/CAM SERVICES.
 *
 */
#include "LPC17xx.h"
#include "tests.h"
#include "efs.h"
#include "ls.h"
#include "mkfs.h"

EmbeddedFileSystem efs;
EmbeddedFile filer, filew;
DirList list;
unsigned short e;
unsigned char buf[513];


void microSDTest()
{
	int8_t res;

	printf("microSD card test using EFSL\n\r");

	printf("\tCARD init...");
	if ( ( res = efs_init( &efs, 0 ) ) != 0 ) {
		printf("failed with %i\n\r",res);
		return;
	}
	printf("ok\n\r");
	printf("\tDirectory of 'root':\n\r");
	ls_openDir( &list, &(efs.myFs) , "/");
	while ( ls_getNext( &list ) == 0 ) {
		list.currentEntry.FileName[LIST_MAXLENFILENAME-1] = '\0';
		printf( "\t\t%s ( %d bytes )\n\r" ,
			list.currentEntry.FileName,
			(int) list.currentEntry.FileSize ) ;
	}

	fs_umount( &efs.myFs ) ;

	printf("\tReady\n\r");
}
